# Mysticons – Sprint02

## Suunnittelu:

Tulossa tällä sprintillä vastaan: avoimiin oviin valmistautuminen, Kuberneteksen ja Power Automaten opiskelu jatkuu edellistä sprinttiä täsmennetymmin ja tarkemmin. Jo opittua tietoa päästään jakamaan muille tiimiläisille ja muille tiimeille. Koska sprint01 saatiin jo kiinnitettyä Kubbernetestä GitLabiin, tällä sprintillä alettiin tutustumaan tarkemmin Ingressiin, Metallbhen ja vuoden 2019 WIMMA Labin CI/CD pipelineihin ja Green bookiin. Viikon aikana tavoitteena oli saada GitLab runnerit toimimaan ja päästä aluille pipelinejen kanssa, jotta niistäkin olisi jotain sanottavaa avoimissa.
Huomioi avoimiin valmistautumisessa:
Linkedin posti kutsu avoimiin oviin. Someen jotain teaseria mitä on tulossa avoimiin oviin.
Henkilökohtaisia osaamispuheenvuoroja: mitä teen, mitä osaan, kuka olen avoimiin.

Avoimissa ovissa:
-	Karvalakki versio kubernetes ympäristöstä -> demo 
-	Video pystytyksestä
-	Havainne kuva pipelinestä
-	Power automate havainnekuva ja kertomus mitä on opittu tähän asti

#### Esimerkkejä sprintin taskeista:
-	Kubernetes demoa avoimiin oviin
-	Havainne kuvia avoimiin oviin
-	Tutustu WIMMA Lab Green bookiin
-	Postaa avoimista ovista somessa
-	Tutustu WIMMA Lab 2019 tiimien pipelineihin
-	…


## Arvio sprintin taskien suorittamisesta:

Sprint02 suunniteltiin tavoitteena saada kaikki avoimiin liittyvä tehtyä valmiiksi perjantaina 4.6. tai viimeistään maanantaina 7.6. koska yhteystyö kuviot avoimiin sitä vaativat. Kun suunniteltu yhteistyö peruuntui, sovittiin tiimin kesken, että ei stressata asiasta, vaan tehdään tällä viikolla pohjatyö ja koitetaan edetä tutkimuksissa ja teknisessä toteutuksessa ja kuvataan esimerkiksi demo video vasta sprint03n aikana, samoin toteutetaan avoimissa tarvittavat diat sprintillä03, koska silloin niihin saadaan kaikista tuorein etenemä ja sprint02n aikana onkin saavutettu asioita, joista on hyvä kertoa ja päästä esittelemään avoimissa. Ohjaajien joukkoon liittyneeltä Kontion Teemulta saatiin mm. kannustusta lähteä automatisoimaan Kubernetes ympäristön pystytystä ja ottaa Ansiblea mukaan. 
Sprint02n taskeista osa saatiin siis suoritettua sprintillä, osan suorittamista jatketaan hyvässä yhteisymmärryksessä sprint03lla ja lisäksi sprint02 saatiin toteutettua asioita, joita ei oltu alun perin suunniteltu sprintille, mutta järjestelyjen muututtua ne edistivät projektin etenemistä enemmän kuin hyvin.
Osa sprintin taskeista oli alustavia suunnittelutehtäviä, kuten havainnekuvat. Näistä tiimin kesken tehtiin rautalankamallit, jotka toimitettiin Pengwin Medialle, joka toteuttaa mallien pohjalta visuaalisemman ulkonäön, joka vastaa sitten paremmin WIMMA Labin uutta yhtenäistä ilmettä.


## Review:
Sprintin rakenne muuttui lennosta, kun avoimien ovien yhteistyö kuviot menivät uusiksi. Tämä kuitenkin hyödytti sprinttiä, sillä nyt asioita saatiin edistettyä sekä avoimiin oviin valmistautumisella, että teknisellä etenemisellä.
Viikon aikana tiimi sai paranneltua Kubernetesin GitLab integraatiota, gitin runnerit saatiin toimimaan ja päästiin aloittamaan CI/CD pipelineihin tutustuminen. Ensimmäiset testit pipeline raakileen kanssa saatiin myös suoritettua onnistuneesti. Kubernetes testiympäristön kanssa otettiin myös etenemää, kun ketju saatiin manuaalisesti toimimaan, siitä työstettiin scripti, joka pystyttää koko helahoidon yhdellä komennolla. Näistä on hyvä jatkaa seuraavalla sprintillä.
Torstaina aktivoitui Power Automaten lisenssi, joten ensi sprintillä sekin asia pääsee etenemään.


