# Mysticons - Sprint06

## Suunnittelu

Sprint06 ajoittuu WIMMA Labin puolivälin jälkeen. Alkuperäisesti WIMMA Lab kestäisi heinäkuun loppuun, joten sprint06n jälkeen jäljellä olisi enää 4 sprinttiä. Tässä vaiheessa, ja jo sprint05n lopulla, kaikki backlogissa olleet taskit pyrittiin sijoittamaan jäljellä oleville sprinteille. Tämä ei tarkoita, etteikö taskeja voisi tulla lisää, mutta näin kaikki olemassa olevat taskit tulisivat varmasti suoritetuiksi labin aikana. Tehtävien edetessä tiimi varmasti kohtaa uusia haasteita, joista täytyy tehdä uusia issueita, mutta tästä eteenpäin uudet issuet sijoitetaan suoraan jollekin taskille, eikä vain backlogiin. Todennäköistä on, että uudet issuet sijoitetaan ensisijaisesti sille sprintille, jonka aikana ne ilmenevät ja sitten tarvittaessa niitten ratkaisua jatketaan seuraavalla sprintillä.

Osa tiimiläisistä on ilmaissut myös halukkuuttaan jatkaa tarvittaessa labia elokuun puolelle, jotta jokainen saisi kerättyä kasaan kaikki labiin varatut tunnit. Heinäkuussa osalla tiimiläisistä on sovittuna muuta, kuten työ keikkoja tai lomareissuja, jotka vievät tunteja labiltä. Tähän pyritään sopeutumaan ennakkoon työtehtävien jaolla ja ohjeistuksella, sekä muiden tiimiläisten säännöllisellä päivittämisellä projektin eri vaiheista, jotta projektia pystytään jatkamaan kaikesta huolimatta. 

Sprintillä tullaan jatkamaan edellisellä sprintillä aloitettuja taskeja Kuberneteksen sisäisistä asioista ja rakenteesta, kuten volumeista ja tietoturvasta. Ympäristön koventaminen päästään aloittamaan. Power Automaten ominaisuudet alkavat olla suunnilleen kasassa, vielä päänvaivaa aiheuttaa GitLab repon oikeuksien asettaminen oikein. Sprintille on pyritty järjestämään tapaaminen toimeksiantajan kanssa, jotta voidaan tarkistaa projektin suunta ja esittää kysymyksiä.  Lisäksi aletaan tarkemmin suunnitella testaamista, kun ympäristö alkaa olla testattavissa. GDPR ja vastuun siirto jatkuvat.


#### Esimerkkejä sprintin taskeista:

-	Power Automate: kuinka kloonata repo
-	Tutustu Kuberneters volumeihin
-	Päivitä mater test plan


## Arvio sprintin taskien suorittamisesta

Sprintin taskeja saatiin suoritettua jonkin verran. Kuben volumeiden, nodejen ja tietoturvan opiskelu kuitenkin jatkuvat seuraavalle sprintille, mikä oli arvattavaa, koska kyseiset asiat ovat laajoja ja haastavia kokonaisuuksia. Lisäksi ne ovat jälleen aivan uusia osa-alueita. Power Automatessa repon kloonaaminen saatiin ratkaistua, vaikka oikeuksien antaminen onkin vielä ongelmana. 

GDPR lausunto saatiin muotoiltua ja testaussuunnittelua aloitettua. 


## Review

Tällä sprintillä Kubernetes kolmikko on joutunut keskittymään paljon uuden opiskeluun ja asioiden selvittämiseen. Paljon onkin opittu, mutta sprintillä ei saatu samanlaista ”edistymistä” toteutukseen, kuin edellisillä sprinteillä ja tiimin mielestä viikko oli hieman tehoton. Mutta tämä pätee vain tuotannolliseen edistykseen, sillä asioiden opiskelu ja selvitystyö vievät kuitenkin projektia eteenpäin osaltaan ja kunhan kaikki tarvittavat palaset saadaan loksahtamaan paikalleen pään sisällä, niin sitten myös päästään toteutuksessakin eteenpäin. Hieman tiimi on myös odotellut testikontteja toisilta virtuaaliyrityksiltä, koska niitten avulla Kuben testailun ja rakentamisen nähtäisiin olevan järkevämpää. GitLab pipelineen saatiin lisättyä läpimenevä kontti skannaus.

Power Automaten flowssa alkavat olla kohdillaan kaikki toivotut ominaisuudet. Sprintin aikana flowta on siistitty ja hiottu, sekä lisätty vaihtoehtoja error-tilanteisiin. Teoriassa flow on käyttökelpoinen, mutta se vaatii vielä lisää siistimistä ja pieniä parannuksia. Seuraavalla sprintillä Power Automatesta olisi tarkoitus pitää esittely muulle tiimille, jonka perusteella nähtäisiin millä tavoin flowta voisi vielä kehittää ja parantaa. Esityksen perustaa voidaan sitten käyttää pohjana Power Automate dokumentaatiolle. Kun tiimin kesken on arvioitu ja kehitetty Power Automatea, siitä järjestetään myös esittely muille WIMMA Labilaisille. 

Kevyehkö GDPR lausunto ja vastuun siirto dokumentti saatiin kirjoitettua ja lisättyä repoon. Samoin testaus suunnitelma. Testien syvempään pohdiskeluun ja kirjoittamiseen, sekä Robot Frameworkin pintaa syvemmälle päästään seuraavalla sprintillä.

Viikon isoimpana kohtana oli keskustelu ja suunnan tsekkaus toimeksiantajan kanssa. Sen perusteella ollaan edelleen menossa oikeaan suuntaan ja voidaan seuraavien sprinttien aikana pyrkiä ottamaan huomioon myös työn dokumentointia ja jatko mahdollisuuksia seuraaville tiimeille. 
