# Sprint 08

## Pengwin Media

### Sprinttisuunnitelma

- Jatketaan siitä mihin viime sprintillä jäätiin: koodataan etusivun ja yritykset-sivun tyylit mahdollisimman valmiiksi
- Lisätään yritysten (SoulCore, Nodeon) kommentit WIMMA Labista yritykset-sivulle, jos he lomiltaan ehtivät vastata meille
- Jatketaan guides-osion koodaamista
- Aloitetaan virtuaaliyritysten sivujen koodaaminen, tehdään sisältöä vaille valmiiksi
- Luodaan uusista logoista vedoksia, joita esitellään tiimeille ja kysytään mielipiteitä
- Aloitetaan Next.js-projektin dokumentaation kirjoittaminen
- wimmalab.orgin katselmoinnin järjestäminen vanhojen WIMMA Labilaisten kanssa


### Sprinttiraportti

- Yritykset-sivu saatiin valmiiksi. Sivulta puuttuisivat vielä yritysten kommentit, mutta näyttää siltä, että emme ehdi niitä saamaan kesälomien vuoksi. Myös vanhoja WIMMA Labilaisia on ollut hankala tavoittaa, mutta onneksi saimme kommentteja kuitenkin opiskelijat-sivulle edellisten vuosien opiskelijaohjaajilta, Mintulta ja Hannulta.
- Etusivun header ja historia-osio valmiiksi. Viimeistelyä vaativat lähinnä vain virtuaaliyritykset-osio ja toimeksiannot-osio, joihin kaivataan logojen lopullisia versioita ja kuvamateriaalia muilta tiimeiltä.
- Testattiin Twiittejen upottamista sivulla `react-twitter-embed`-paketin avulla. Tämä todettiin ihan toimivaksi ratkaisuksi, ja lopullinen Twiittien valitseminen ja lisääminen sivulle toteutetaan seuraavalla sprintillä.
- Next.js-projektin dokumentaatiota päästään aloittamaan kunnolla vasta ensi viikolla.
- Koodaaminen on ollut sen verran aikaavievää, että tiimin graafiset suunnittelijat eivät ole ehtineet keskittyä logojen uudistukseen. Logoista toteutetaan uudet versiot luultavasti hieman lyhyemmän kaavan kautta kun mitä alkujaan suunniteltiin.
- Sovimme uuden nettisivun katselmoinnin järjestämisestä edellisten vuosien WIMMA Labilaisille maanantaina 26.7.
- Guides-osioa kehitettiin, ja sinne suunniteltiin ja toteutettiin navigaatio ja mobiiliin skaalautuva layout. Oppaiden tiedot haetaan niiden markdown-kansitiedostoista (index.mdx) oppaat-osion etusivulle.
- Lisättiin pipelineen yksinkertaisia Robot Framework -testejä.
